From 526318ab7f84901cf130ecfe0c677b76c64e1427 Mon Sep 17 00:00:00 2001
From: ratsonale <github@ratson.name>
Date: Wed, 4 Sep 2013 22:41:09 +0800
Subject: [PATCH] Fix tab completion in zsh if $HOME/.password-store is symlink

---
 contrib/pass.zsh-completion | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/contrib/pass.zsh-completion b/contrib/pass.zsh-completion
index 848bc67..0bb14de 100644
--- a/contrib/pass.zsh-completion
+++ b/contrib/pass.zsh-completion
@@ -98,7 +98,7 @@ _pass_cmd_show () {
 _pass_complete_entries_helper () {
 	local IFS=$'\n'
 	local prefix="${PASSWORD_STORE_DIR:-$HOME/.password-store}"
-	_values -C 'passwords' $(find "$prefix" \( -name .git -o -name .gpg-id \) -prune -o $@ -print | sed -e "s#${prefix}.##" -e 's#\.gpg##' | sort)
+	_values -C 'passwords' $(find -L "$prefix" \( -name .git -o -name .gpg-id \) -prune -o $@ -print | sed -e "s#${prefix}.##" -e 's#\.gpg##' | sort)
 }
 
 _pass_complete_entries_with_subdirs () {
-- 
1.8.4

